<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 19</title>
	<style type="text/css">
	main{
		display: flex;
		flex-direction: column;
		justify-content: center;
		font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
		font-weight: bold;
		font-size: small;
		margin-top: 80px;
		margin-left: 30px;
	}

	input{
		width: 240px;
		height: 60px;
		background-color: silver;
		border-radius: 5px;
		border: 0;
		padding-left: 16px;
		margin: 10px 10px;
	}

	button{
		width: 140px;
		height: 50px;
		line-height: 50px;
		background-color: olive;
		border-radius: 5px;
		border: 0;
		text-align: center;
		margin: 15px 15px 15px 15px;
		color: white;
	}

	</style>
	<script type="text/javascript">
	//crear una función que le pasas un array y te lo devuelve ordenado
	
	window.addEventListener("load",function(e){

			//array con numeros
		let numeros = [8,5,1,3,7,4,6,0,9,2];
		let numerosOrdenados = [];
		numerosOrdenados = numeros.sort(function(a, b){return a - b});

		document.querySelector("#resultado").value = numerosOrdenados;

			
		//array con un texto
		document.querySelector("#enviar").addEventListener("click",function(e){
	
			let frase = document.querySelector("#introducir").value;
			let fraseRota = [] = frase.split("");
			let fraseOrdenada = [] = fraseRota.sort();
		
			document.querySelector("#resultado2").value = fraseOrdenada;

		});

	});

	</script>
</head>
<body>
	<main>
		<div>
			<input id="resultado" type="text" name="resultado"/>
		</div>
		<div>
			<input id="introducir" type="text" name="introducir"/>
			<button id="enviar" type="submit">Enviar</button>
			<input id="resultado2" type="text" name="resultado2"/>
		</div>
	</main>
</body>
</html>